<template>
  <a-row
    type='flex'
    :gutter='16'
  >
    <a-col
      :md='6'
      :sm='24'
    >
      <deterioration-factor-category-left @clickTreeNode='getSelectNode' />
    </a-col>
    <a-col
      :md='24-6'
      :sm='24'
    >
      <deterioration-factor-right :recordSelect='currentNodeSelect' />
    </a-col>
  </a-row>
</template>

<script>
import DeteriorationFactorCategoryLeft from './modules/deteriorationFactor/DeteriorationFactorCategoryLeft'
import DeteriorationFactorRight from './modules/deteriorationFactor/DeteriorationFactorRight'

export default {
  name: 'DeteriorationFactorList',
  components: {
    DeteriorationFactorCategoryLeft,
    DeteriorationFactorRight
  },
  data() {
    return {
      description: '劣质等级',
      currentNodeSelect: ''
    }
  },
  methods: {
    getSelectNode(val) {
      this.currentNodeSelect = val
    }
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>